Name:           gtk-gnutella
Summary:        GUI based Gnutella Client
Version:        1.2.2
Release:        %mkrel 1
Group:          Networking/File transfer
License:        GPLv2+
URL:            http://gtk-gnutella.sourceforge.net
Source0:        https://sourceforge.net/projects/gtk-gnutella/files/gtk-gnutella-%{version}.tar.xz

%if 0%{!?_with_gtk1:1}
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
%else
BuildRequires:  gtk+-devel
BuildRequires:  libglade-devel
%endif
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  byacc
BuildRequires:  groff
BuildRequires:  gettext

BuildRequires:  pkgconfig(gnutls) >= 1.0.16
BuildRequires:  pkgconfig(dbus-1) >= 0.35.2

BuildRequires:  desktop-file-utils >= 0.2.90


%description
Gtk-Gnutella is a GUI based Gnutella p2p servent. It's a fully featured
servent designed to share any type of file.  Gtk-gnutella implements
compressed gnutella net connections, ultrapeer and leaf nodes and uses
Passive/Active Remote Queueing (PARQ), and other modern gnutella network
features.


%prep
%setup -q
%autopatch -p1

%build
# This package uses a custom configure script which can't be fixed by
# redhat-rpm-config and has tests which are compromised by LTO.
# Disable LTO
%define _lto_cflags %{nil}

./Configure -O -Dprefix=%{_prefix} -Dbindir=%{_bindir} \
        -Dglibpth="/%{_lib} %{_libdir}" \
        -Dprivlib=%{_datadir}/%{name} -Dsysman=%{_mandir}/man1 \
        -Dccflags="%{optflags}" -Dcc="%{__cc}" -Dyacc="byacc" \
        -Dgtkversion=%{?_with_gtk1:1}%{!?_with_gtk1:2} \
        -Dofficial=true -ders
make


%install
make install INSTALL_PREFIX=%{buildroot}
make install.man INSTALL_PREFIX=%{buildroot}

rm -f %{buildroot}%{_datadir}/pixmaps/*.svg
install -D -m 644 extra_files/gtk-gnutella.16.png \
        %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.32.png \
        %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.png \
        %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.svg \
        %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gtk-gnutella.svg

desktop-file-install --delete-original  \
        --dir %{buildroot}%{_datadir}/applications   \
        %{buildroot}%{_datadir}/applications/*

chmod 0755 %{buildroot}%{_bindir}/*

%find_lang %name

%files  -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/gtk-gnutella/
%{_datadir}/applications/*
%{_datadir}/appdata/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*

%doc README TODO AUTHORS LICENSE GEO_LICENSE doc/other/shell.txt


%changelog
* Tue Nov 08 2022 papoteur <papoteur> 1.2.2-1.mga9
+ Revision: 1904614
- new 1.2.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Jul 10 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1604003
- new version: 1.2.0
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 umeabot <umeabot> 1.1.15-3.mga8
+ Revision: 1542537
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 daviddavid <daviddavid> 1.1.15-2.mga8
+ Revision: 1476547
- fix startup crash (#1787421)

* Tue Oct 08 2019 daviddavid <daviddavid> 1.1.15-1.mga8
+ Revision: 1450497
- new version: 1.1.15

* Sun Oct 21 2018 daviddavid <daviddavid> 1.1.14-1.mga7
+ Revision: 1323238
- new version: 1.1.14

* Tue Sep 25 2018 daviddavid <daviddavid> 1.1.13-1.mga7
+ Revision: 1304886
- new version: 1.1.13
- add statx patch
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu May 12 2016 joequant <joequant> 1.1.9-1.mga6
+ Revision: 1013862
- single thread build
- update to 1.1.9

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.0.0-6.mga6
+ Revision: 921808
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 746525
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 680001
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 538332
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 joequant <joequant> 1.0.0-2.mga4
+ Revision: 489290
- fix segfault in 1.0.0

* Sat Sep 28 2013 joequant <joequant> 1.0.0-1.mga4
+ Revision: 488342
- upgrade to 1.0.0

* Sat Aug 03 2013 joequant <joequant> 0.98.4-1.mga4
+ Revision: 462953
- fix category
- imported package gtk-gnutella

